### Function

# EvinceDocument Document misc_render_thumbnail_with_frame

since: 3.8

#### Declaration [src]

    GdkPixbuf*
    ev_document_misc_render_thumbnail_with_frame (
      GtkWidget* widget,
      GdkPixbuf* source_pixbuf
    )

#### Description

No description available.

Available since: 3.8

#### Parameters

`widget`

  Type: `GtkWidget`

  A `GtkWidget` to use for style information.

  The data is owned by the caller of the function.

`source_pixbuf`

  Type: `GdkPixbuf`

  A `GdkPixbuf`.

  The data is owned by the caller of the function.

#### Return value

Type: `GdkPixbuf`

A `GdkPixbuf`.

The caller of the function takes ownership of the data, and is responsible for freeing it.